Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.mappers.svd.ElementSelector

class `mvpa2.mappers.svd.``ElementSelector`(mode='discard', **kwargs)

  Base class to implement functors to select some elements based on a sequence of values.

  Notes

  Available conditional attributes:

  - `ndiscarded+`: Store number of discarded elements.

  (Conditional attributes enabled by default suffixed with `+`)

  Methods

  `reset`() |

  Parameters:

  mode : {‘discard’, ‘select’}

  > Decides whether to `select` or to `discard` features.

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  descr : str

  > Description of the instance

  Methods

  `reset`() |

  `mode`

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »